# cTransientDetection Class Reference
[Statistical data collection]

`#include <cdetect.h>`

Inheritance diagram for cTransientDetection:

List of all members.

## Detailed Description

Virtual base class for transient detection classes.

## Public Member Functions

Constructors, destructor, assignment.
| cTransientDetection (const cTransientDetection &r)
| cTransientDetection (const char *name=NULL)
virtual | ~cTransientDetection ()
cTransientDetection & | operator= (const cTransientDetection &)
New methods.
virtual void | collect (double val)=0
virtual bool | detected () const =0
virtual void | reset ()=0
virtual void | stop ()=0
virtual void | start ()=0
void | setPostDetectFunction (PostTDFunc f, void *p)
Host object.
virtual void | setHostObject (cStatistic *ptr)
virtual cStatistic * | hostObject () const

## Constructor & Destructor Documentation

cTransientDetection::cTransientDetection | ( | const cTransientDetection & | r | ) | `[inline]`

| Copy constructor.

cTransientDetection::cTransientDetection | ( | const char * | name = `NULL` | ) | `[inline, explicit]`

| Constructor.

virtual cTransientDetection::~cTransientDetection | ( |  | ) | `[inline, virtual]`

| Destructor.

## Member Function Documentation

virtual void cTransientDetection::collect | ( | double | val | ) | `[pure virtual]`

| Should be redefined to update the detection algorithm with a value. Implemented in cTDExpandingWindows.

virtual bool cTransientDetection::detected | ( |  | ) | const`[pure virtual]`

| Should be redefined to return true if end of transient has been detected. Implemented in cTDExpandingWindows.

virtual cStatistic* cTransientDetection::hostObject | ( |  | ) | const`[inline, virtual]`

| Returns a pointer to the host object.

cTransientDetection& cTransientDetection::operator= | ( | const cTransientDetection & |  | ) | `[inline]`

| Assignment is not supported by this class: this method throws a cRuntimeError when called.

virtual void cTransientDetection::reset | ( |  | ) | `[pure virtual]`

| Should be redefined to reset detection algorithm. Implemented in cTDExpandingWindows.

virtual void cTransientDetection::setHostObject | ( | cStatistic * | ptr | ) | `[inline, virtual]`

| Sets the host object. This is internally called by cStatistic's addTransientDetection() method.

void cTransientDetection::setPostDetectFunction | ( | PostTDFunc | f,
|  | void * | p
| ) | `[inline]`

| Adds a function that will be called when accuracy has reached the configured limit.

virtual void cTransientDetection::start | ( |  | ) | `[pure virtual]`

| Should be redefined to start detection (further calls to collect() should update the detection algorithm. ) Implemented in cTDExpandingWindows.

virtual void cTransientDetection::stop | ( |  | ) | `[pure virtual]`

| Should be redefined to stop detection (further calls to collect() should be ignored. ) Implemented in cTDExpandingWindows.

The documentation for this class was generated from the following file:

- cdetect.h